import request from "@/utils/axios";

/*get请求*/
export function getFun(url, params) {
  return request({
    url: url,
    method: "get",
    params
  });
}
/* post请求 */
export function postFun(url, data) {
  return request({
    url: url,
    method: "post",
    data
  });
}
/* delete请求 */
export function deleteFun(url, params, data) {
  return request({
    url: url,
    method: "delete",
    params,
    data
  });
}

export function putFun(url, data) {
  return request({
    url: url,
    method: "put",
    data
  });
}
/*文件下载get请求*/
export function fileDownFun(url, params) {
  return request({
    url: url,
    method: "GET",
    params,
    responseType: "blob" /*下载文件必填项*/
  });
}
/*文件下载post请求*/
export function fileDownFuns(url, data) {
  return request({
    url: url,
    method: "POST",
    data,
    responseType: "blob" /*下载文件必填项*/
  });
}
